summaryrefslogtreecommitdiffstats
path: root/import-layers/meta-virtualization/recipes-containers/docker/files/docker.init
diff options
context:
space:
mode:
Diffstat (limited to 'import-layers/meta-virtualization/recipes-containers/docker/files/docker.init')
-rw-r--r--import-layers/meta-virtualization/recipes-containers/docker/files/docker.init127
1 files changed, 0 insertions, 127 deletions
diff --git a/import-layers/meta-virtualization/recipes-containers/docker/files/docker.init b/import-layers/meta-virtualization/recipes-containers/docker/files/docker.init
deleted file mode 100644
index 2e8eb9e40..000000000
--- a/import-layers/meta-virtualization/recipes-containers/docker/files/docker.init
+++ /dev/null
@@ -1,127 +0,0 @@
-#!/bin/sh
-#
-# /etc/rc.d/init.d/docker
-#
-# Daemon for docker.com
-#
-# chkconfig: 2345 95 95
-# description: Daemon for docker.com
-
-### BEGIN INIT INFO
-# Provides: docker
-# Required-Start: $network cgconfig
-# Required-Stop:
-# Should-Start:
-# Should-Stop:
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: start and stop docker
-# Description: Daemon for docker.com
-### END INIT INFO
-
-# Source function library.
-. /etc/init.d/functions
-
-prog="docker"
-unshare=/usr/bin/unshare
-exec="/usr/bin/$prog"
-pidfile="/var/run/$prog.pid"
-lockfile="/var/lock/subsys/$prog"
-logfile="/var/log/$prog"
-other_args="--registry-mirror=http://localhost:5000 --insecure-registry=http://localhost:5000 --raw-logs"
-
-[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
-
-start() {
- [ -x $exec ] || exit 5
-
- check_for_cleanup
-
- if ! [ -f $pidfile ]; then
- printf "Starting $prog:\t"
- echo -e "\n$(date)\n" >> $logfile
- "$unshare" -m -- $exec daemon $other_args &>> $logfile &
- pid=$!
- touch $lockfile
- # wait up to 10 seconds for the pidfile to exist. see
- # https://github.com/docker/docker/issues/5359
- tries=0
- while [ ! -f $pidfile -a $tries -lt 10 ]; do
- sleep 1
- tries=$((tries + 1))
- done
- success
- echo
- else
- failure
- echo
- printf "$pidfile still exists...\n"
- exit 7
- fi
-}
-
-stop() {
- echo -n $"Stopping $prog: "
- killproc $prog
- retval=$?
- echo
- [ $retval -eq 0 ] && rm -f $lockfile
- return $retval
-}
-
-restart() {
- stop
- start
-}
-
-reload() {
- restart
-}
-
-force_reload() {
- restart
-}
-
-rh_status() {
- status -p $pidfile $prog
-}
-
-rh_status_q() {
- rh_status >/dev/null 2>&1
-}
-
-
-check_for_cleanup() {
- if [ -f ${pidfile} ]; then
- /bin/ps -fp $(cat ${pidfile}) > /dev/null || rm ${pidfile}
- fi
-}
-
-case "$1" in
- start)
- $1
- ;;
- stop)
- $1
- ;;
- restart)
- $1
- ;;
- reload)
- $1
- ;;
- force-reload)
- force_reload
- ;;
- status)
- status
- ;;
- condrestart|try-restart)
- restart
- ;;
- *)
- echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
- exit 2
-esac
-
-exit $?
OpenPOWER on IntegriCloud